ambari-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From jun aoki <ja...@apache.org>
Subject Re: Ambari 2.0 agent failure to install due to permission denied
Date Mon, 04 May 2015 18:41:12 GMT
Hi Artem,

Not knowing too much background context, I'd start to check the user you
use for the agent upgrade (yum upgrade??) and the permission of
 /var/lib/ambari-agent/install-helper.sh, and use root to see if it works.

If you are using yum to upgrade, the log won't be in /var/log/ambari-agent

On Mon, May 4, 2015 at 6:09 AM, Artem Ervits <artemervits@gmail.com> wrote:

> Hello,
>
> I am trying to upgrade an agent from 1.4.4 to 2.0.0-151. I am getting the
> following error during install
>
> Running Transaction
>   Installing : ambari-agent-2.0.0-151.x86_64
>
>                                                     1/1
> /var/tmp/rpm-tmp.viOzTf: line 31: /var/lib/ambari-agent/install-helper.sh:
> Permission denied
>   Verifying  : ambari-agent-2.0.0-151.x86_64
>
> RHEL 6.5 machine. There are no new logs in /var/log/ambari-agent.
>
>
>


-- 
-jun

Mime
View raw message